Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Interface Command

    interface Command

Provides the interface required for command extentions.

Authors:
  Jason Dillon

Version:
  \$Id: Command.groovy 8806 2007-10-25 21:58:29Z user57 \$

Method Summary
`Object` | `execute(List args)`
`List` | `getAliases()`
`jline.Completor` | `getCompletor()`
`String` | `getDescription()`
`String` | `getHelp()`
`boolean` | `getHidden()`
`String` | `getName()`
`String` | `getShortcut()`
`String` | `getUsage()`

Method Detail

### execute

    Object execute(List args)

### getAliases

    List getAliases()

### getCompletor

    jline.Completor getCompletor()

### getDescription

    String getDescription()

### getHelp

    String getHelp()

### getHidden

    boolean getHidden()

### getName

    String getName()

### getShortcut

    String getShortcut()

### getUsage

    String getUsage()

Copyright © 2003-2010 The Codehaus. All rights reserved.